Name:          qpid-proton-java
Version:       0.12.2
Release:       %mkrel 1
Group:         Development/Java
Summary:       Java libraries for Qpid Proton
License:       ASL 2.0
URL:           http://qpid.apache.org/proton/
Source0:       http://www.apache.org/dist/qpid/proton/%{version}/qpid-proton-%{version}.tar.gz
Patch0:         qpid-proton-0.12.2-CVE-2016-4467.patch

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.apache.maven.doxia:doxia-module-markdown)
BuildRequires: mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires: mvn(org.bouncycastle:bcpkix-jdk15on)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:specs:pom:)
BuildRequires: mvn(org.fusesource.hawtbuf:hawtbuf)
BuildRequires: mvn(org.fusesource.hawtdispatch:hawtdispatch-transport)
BuildRequires: mvn(org.mockito:mockito-core)

BuildArch:     noarch

%description
Java language bindings for the Qpid Proton messaging framework.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n qpid-proton-%{version}
%autopatch -p1

# Unwanted
rm -r tools docs config.* examples/c examples/javascript \
  examples/php examples/python \
  examples/perl examples/ruby examples/engine/c \
  examples/go examples/cpp CMakeLists.txt bin proton-c \
  tests/smoke tests/ruby tests/python tests/tools tests/javascript

%pom_remove_dep org.python:jython-standalone tests
rm tests/java/org/apache/qpid/proton/JythonTest.java

rm contrib/proton-hawtdispatch/src/test/java/org/apache/qpid/proton/hawtdispatch/api/SampleTest.java

%mvn_alias :proton-j org.apache.qpid:proton-api org.apache.qpid:proton-j-impl

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license proton-j/LICENSE
%doc examples/java/messenger/README.txt

%files javadoc -f .mfiles-javadoc
%license proton-j/LICENSE




%changelog
* Sat May 13 2017 neoclust <neoclust> 0.12.2-1.mga6
+ Revision: 1100816
- Revert to version 0.12.2 but add P0 to fix CVE-2016-4467

* Mon May 01 2017 neoclust <neoclust> 0.13.1-1.mga6
+ Revision: 1098218
- New version 0.13.1 - Fixes CVE-2016-4467 (mga#18951)

* Fri Apr 29 2016 daviddavid <daviddavid> 0.12.0-1.mga6
+ Revision: 1007684
- Update to 0.12.0

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0.10-3.mga6
+ Revision: 978249
- First rebuild of the java stack
- sync package qpid-proton-java with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Dec 28 2014 pterjan <pterjan> 0.7-2.mga5
+ Revision: 806731
- Clean rebuild
- Mageify
- imported package qpid-proton-java


* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 02 2014 gil cattaneo <puntogil@libero.it> 0.7-2
- add alias

* Thu May  1 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.7-1
- Rebased on Proton 0.7.

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.6-3
- Use Requires: java-headless rebuild (#1067528)

* Mon Jan 20 2014 gil cattaneo <puntogil@libero.it> 0.6-2
- fix release field
- use upstream source archive
- enable test suite

* Fri Jan 17 2014 gil cattaneo <puntogil@libero.it> 0.6-1
- initial rpm
